# std::_Vector_base< _Tp, _Alloc > Struct Template Reference

Inheritance diagram for std::_Vector_base< _Tp, _Alloc >:

List of all members.

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Vector_base< _Tp, _Alloc >

Definition at line 77 of file stl_vector.h.

## Public Types

- typedef _Alloc::template rebind<
  _Tp >::other _Tp_alloc_type
- typedef _Alloc allocator_type

## Public Member Functions

- _Tp * _M_allocate (size_t __n)
- void _M_deallocate (_Tp *__p, size_t __n)
- const _Tp_alloc_type & _M_get_Tp_allocator () const
- _Tp_alloc_type & _M_get_Tp_allocator ()
- _Vector_base (size_t __n, const allocator_type &__a)
- _Vector_base (const allocator_type &__a)
- allocator_type get_allocator () const
- ~_Vector_base ()

## Public Attributes

- _Vector_impl _M_impl

## Classes

- struct _Vector_impl

The documentation for this struct was generated from the following file:

- stl_vector.h